<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.DbConfigMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.DbConfig">
        <id column="db_id" property="dbId" />
        <result column="create_time" property="createTime" />
        <result column="db_type" property="dbType" />
        <result column="db_name" property="dbName" />
        <result column="db_schema" property="dbSchema" />
        <result column="db_host" property="dbHost" />
        <result column="db_port" property="dbPort" />
        <result column="link_username" property="linkUsername" />
        <result column="link_password" property="linkPassword" />
        <result column="driver_class" property="driverClass" />
        <result column="url_template" property="urlTemplate" />
        <result column="is_active" property="isActive" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, db_id, db_type, db_name, db_schema, db_host, db_port, link_username, link_password, driver_class, url_template, is_active, update_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
